Packages - Bug #2151

Freedom Issue # 972 (forwarded upstream): TeXLive freedom verification

[texlive-formatsextra] missing files
2019-01-24 09:16 PM - anon7mous

Status: info needed % Done: 0%
Priority: bug

Assignee: oaken-source

Category:

Description

Seems to be missing files?

# pacman -S texlive-core texlive-formatsextra texlive-publishers texlive-science texlive-pstricks
texlive-pictures texlive-latexextra texlive-humanities texlive-fontsextra texlive-bibtexextra texm
aker

(4/6) Updating TeXLive format files...

kpathsea: Running mktextfm ecrml000
mktextfm: Running mf-nowin -progname=mf \mode:=1jfour; mag:=1; nonstopmode; input ecrml000
This is METAFONT, Version 2.7182818 (TeX Live 2018/Parabola GNU/Linux-libre) (preloaded base=mnf)

kpathsea: Running mktexfmt mf.base

mktexfmt: mktexfmt is using the following fmtutil.cnf files (in precedence order) :
mktexfmt : /etc/texmf/web2c/fmtutil.cnf

mktexfmt: mktexfmt is using the following fmtutil.cnf file for writing changes:

mktexfmt: /root/.texlive/texmf-config/web2c/fmtutil.cnf

mktexfmt [INFO]: writing formats under /root/.texlive/texmf-var/web2c

mktexfmt [INFO]: --- remaking mf with mf-nowin

mktexfmt: running "mf-nowin -ini —jobname=mf -progname=mf -translate-file=cp227.tcx mf.ini'

This is METAFONT, Version 2.7182818 (TeX Live 2018/Parabola GNU/Linux-libre) (INIMF)
(/usr/share/texmf-dist/web2c/cp227.tcx)
(/usr/share/texmf-dist/metafont/config/mf.ini
(/usr/share/texmf-dist/metafont/base/plain.mf
Preloading the plain base, version 2.71: preliminaries,
basic constants and mathematical macros,
macros for converting from device-independent units to pixels,
macros and tables for various modes of operation,
macros for drawing and filling,
macros for proof labels and rules,
macros for character and font administration,
and a few last-minute items.) (/usr/share/texmf-dist/metafont/misc/modes.mf) )
Beginning to dump on file mf.base
(preloaded base=mf 2019.1.24)
2226 strings of total length 29977
11855 memory locations dumped; current usage is 3651&7844
1004 symbolic tokens
Transcript written on mf.log.
mktexfmt [INFO]: /root/.texlive/texmf-var/web2c/metafont/mf.base installed.
mktexfmt [INFO]: Disabled formats: 6
mktexfmt [INFO] Successfully rebuilt formats: 1
mktexfmt [INFO]: Not selected formats: 35
mktexfmt [INFO] Total formats: 42
mktexfmt [INFO] exiting with status 0

kpathsea: Running mktexmf ecrml000

!' T can't find file “ecrml000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrml000

Please type another input file name

! Emergency stop.
<*> _..ljfour; mag:=1; nonstopmode; input ecrml000
Transcript written on mfput.log.

grep: ecrml000.log: Datei oder Verzeichnis nicht gefunden

mktextfm: ‘mf-nowin —-progname=mf \mode:=1jfour; mag:=1; nonstopmode; input ecrml000' failed to
make ecrml000.tfm.

kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm csrl0
mktextfm: Running mf-nowin -progname=mf \mode:=1jfour; mag:=1; nonstopmode; input csrl0
This is METAFONT, Version 2.7182818 (TeX Live 2018/Parabola GNU/Linux-libre) (preloaded base=mnf)

kpathsea: Running mktexmf csrl0

' T can't find file “csrl0'.
<*> . ..e:=1ljfour; mag:=1; nonstopmode; input csrl0

Please type another input file name
! Emergency stop.
<*> ...e:=1ljfour; mag:=1; nonstopmode; input csrl0

Transcript written on mfput.log.

grep: csrl0.log: Datei oder Verzeichnis nicht gefunden

mktextfm: ‘mf-nowin -progname=mf \mode:=1jfour; mag:=1; nonstopmode; input csrl0' failed to make
csrl0.tfm.

kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm ecrml1000
mktextfm: Running mf-nowin -progname=mf \mode:=1jfour; mag:=1; nonstopmode; input ecrml000
This is METAFONT, Version 2.7182818 (TeX Live 2018/Parabola GNU/Linux-libre) (preloaded base=mf)

kpathsea: Running mktexmf ecrml000

!' T can't find file “ecrml000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrml000

Please type another input file name
! Emergency stop.
<*> . ..ljfour; mag:=1; nonstopmode; input ecrml000

Transcript written on mfput.log.

grep: ecrml000.log: Datei oder Verzeichnis nicht gefunden

mktextfm: ‘mf-nowin -progname=mf \mode:=1jfour; mag:=1; nonstopmode; input ecrml000' failed to
make ecrml000.tfm.

kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm csrl0
mktextfm: Running mf-nowin -progname=mf \mode:=1jfour; mag:=1; nonstopmode; input csrl0
This is METAFONT, Version 2.7182818 (TeX Live 2018/Parabola GNU/Linux-libre) (preloaded base=mf)

kpathsea: Running mktexmf csrl0

! T can't find file “csrl0'.
<*> _..e:=1jfour; mag:=1; nonstopmode; input csrl0

Please type another input file name
! Emergency stop.
<*> ...e:=1ljfour; mag:=1; nonstopmode; input csrl0

Transcript written on mfput.log.

grep: csrl0.log: Datei oder Verzeichnis nicht gefunden

mktextfm: ‘mf-nowin —-progname=mf \mode:=1jfour; mag:=1; nonstopmode; input csrl0' failed to make
csrl0.tfm.

kpathsea: Appending font creation commands to missfont.log.

kpathsea: Running mktextfm csrl0

mktextfm: Running mf-nowin -progname=mf \mode:=1jfour; mag:=1; nonstopmode; input csrl0
This is METAFONT, Version 2.7182818 (TeX Live 2018/Parabola GNU/Linux-libre) (preloaded base=mnf)
kpathsea: Running mktexmf csrl0

! T can't find file “csrl0'.
<*> _..e:=1jfour; mag:=1; nonstopmode; input csrl0

Please type another input file name
! Emergency stop.
<*> ...e:=1ljfour; mag:=1; nonstopmode; input csrl0

Transcript written on mfput.log.

grep: csrl0.log: Datei oder Verzeichnis nicht gefunden

mktextfm: ‘mf-nowin —-progname=mf \mode:=1jfour; mag:=1; nonstopmode; input csrl0' failed to make
csrl0.tfm.

kpathsea: Appending font creation commands to missfont.log.

fmtutil [ERROR]: running " pdftex —-ini —jobname=pdf jadetex —-progname=pdfjadetex *pdfjadetex.ini
</dev/null' return status 1

fmtutil [ERROR]: return error due to options —--strict

fmtutil [ERROR]: running “pdftex -ini —jobname=csplain -progname=csplain —-etex -enc csplain-utf8
.ini </dev/null' return status 1

fmtutil [ERROR]: return error due to options —--strict

fmtutil [ERROR]: running " pdftex -ini —jobname=jadetex —-progname=jadetex *jadetex.ini </dev/null
' return status 1

fmtutil [ERROR]: return error due to options —--strict

fmtutil [WARNING]: inifile mex.ini for mex/pdftex not found.

fmtutil [ERROR]: running " pdftex -ini —jobname=pdfcsplain -progname=pdfcsplain -etex -enc
csplain-utf8.ini </dev/null' return status 1

fmtutil [ERROR]: return error due to options —--strict

fmtutil [ERROR]: running "~ luatex —-ini —jobname=pdfcsplain -progname=pdfcsplain -etex csplain.ini
</dev/null' return status 1

fmtutil [ERROR]: return error due to options —--strict

fmtutil [ERROR]: running " xetex -ini —jobname=pdfcsplain -progname=pdfcsplain -etex csplain.ini
</dev/null' return status 1

fmtutil [ERROR]: return error due to options —--strict

fmtutil [ERROR]: running " pdftex -ini —-jobname=ut f8mex -progname=utf8mex -enc *utf8mex.ini </dev
/null' return status 1

fmtutil [ERROR]: return error due to options —--strict

fmtutil [WARNING]: inifile pdfmex.ini for pdfmex/pdftex not found.
Fehler: Befehl konnte nicht korrekt ausgefiihrt werden

Related issues:
Related to Packages - Bug #2937: texlive can't find some fonts during install... duplicate

History

#1 - 2019-01-27 08:44 AM - bill-auger
- Status changed from open to info needed
anon7mous -

you should always show the exact command that you ran - the command alone is much more useful than any of the output - with the exact command
that you ran, the output hopefully can be reproduced - without the exact command that you ran, the output is not of much help at all

which part of that output do you suspect is the problem? you did not even mention what is the problem, BTW - does this fail to produce the desired
artifacts?

the only part of that output which mentions an error, also gives a clue of what to do:
[ERROR] : return error due to options --strict

have you tried this without the --strict option ?

#2 - 2019-01-27 01:24 PM - anon7mous

Oh sorry.
I want to install TeXlive and the TeXmaker:

pacman -S texlive-core texlive-formatsextra texlive-publishers texlive-science texlive-pstricks texlive-pictur

2024-04-09 3/4




es texlive-latexextra texlive-humanities texlive-fontsextra texlive-bibtexextra texmaker

#3 - 2019-01-27 01:45 PM - oaken-source

this is known behaviour of the texlive pkgbuilds, but it's nothing to worry about.
the installation should still succeed, and you should be able to use pdftex and friends normally.

#4 - 2019-07-08 06:21 AM - bill-auger

probably related to this forum thread https://labs.parabola.nu/boards/5/topics/55

#5 - 2019-07-08 07:19 PM - alextee

it looks like the problem is that parabola removes the texlive fonts and texlive can't find them.

when i reported a similar bug to sphinx-doc, someone said that you can setup texlive to use the GNU fonts instead.
| think parabola should do that in the PKGBUILD to fix this. see the related comment here:
https://github.com/sphinx-doc/sphinx/issues/6505#issuecomment-503295256

#6 - 2019-07-09 01:07 PM - bill-auger

except that the removal of those fonts was done a long time ago and it has been working, albeit with (apparently harmless) error messages - or
maybe it still is working for the job that the OP was doing, but perhaps it was always broken for the specific job that alex is interested in

#7 - 2020-08-01 08:23 AM - bill-auger

- Description updated

- Subject changed from [texlive-format] missing files to [texlive-formatsextra] missing files

#8 - 2020-12-03 08:34 AM - bill-auger

- Related to Bug #2937: texlive can't find some fonts during installation added

#9 - 2021-04-28 05:33 PM - bill-auger

- Related to Freedom Issue #972: TeXLive freedom verification added

#10 - 2021-04-28 05:35 PM - bill-auger

- Related to deleted (Freedom Issue #972: TeXLive freedom verification)

#11 - 2021-04-28 05:36 PM - bill-auger
- Parent task set to #972

#12 - 2021-04-28 05:50 PM - bill-auger

- Assignee set to oaken-source
